org.apache.maven.scm.plugin

## Class UnEditMojo

- java.lang.Object
- - org.apache.maven.plugin.AbstractMojo
  - - org.apache.maven.scm.plugin.AbstractScmMojo
    - - org.apache.maven.scm.plugin.UnEditMojo

All Implemented Interfaces:
  org.apache.maven.plugin.ContextEnabled, org.apache.maven.plugin.Mojo

    public class UnEditMojo
    extends AbstractScmMojo

Unedit/unlock a set of files.

Version:
  $Id: UnEditMojo.java 685542 2008-08-13 13:28:43Z vsiveton $
Author:
  Dan Tran

### Field Summary

### Fields inherited from interface org.apache.maven.plugin.Mojo

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`UnEditMojo()`

### Method Summary

Methods
`void` `execute()`

### Methods inherited from class org.apache.maven.scm.plugin.AbstractScmMojo

`checkResult, getConnectionUrl, getExcludes, getFileSet, getIncludes, getScmManager, getScmRepository, getScmVersion, getWorkingDirectory, setConnectionType, setConnectionUrl, setExcludes, setIncludes, setWorkingDirectory`

### Methods inherited from class org.apache.maven.plugin.AbstractMojo

`getLog, getPluginContext, setLog, setPluginContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UnEditMojo

    public UnEditMojo()

### Method Detail

#### execute

    public void execute()
                 throws org.apache.maven.plugin.MojoExecutionException

Specified by:
  `execute` in interface `org.apache.maven.plugin.Mojo`
Overrides:
  `execute` in class `AbstractScmMojo`
Throws:
  `org.apache.maven.plugin.MojoExecutionException`